Skip to content

DocTypeDefault⁠

Perform various operations for Symitar parameters.

Operations⁠

getDocTypeDefaultSelectFields⁠

POST

Execute the persistent ParameterService getDocTypeDefaultSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DocTypeDefaultDocumentTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getDocTypeDefaultSelectFields
POST /nexum/627/persistent/parameter/getDocTypeDefaultSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "DocTypeDefaultDocumentType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllDocTypeDefaultFields": true,
    "DocTypeDefaultFields": {
      "Description": true,
      "DocumentType": true,
      "ExcpNoticeCountCpWork": true,
      "ExcpNoticeOption": true,
      "ExpireDate": true,
      "Type": true,
      "UserChar1": true,
      "UserChar2": true,
      "UserChar3": true,
      "UserChar4": true,
      "UserChar5": true,
      "UserChar6": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getDocTypeDefaultPagedListSelectFields⁠

POST

Execute the persistent ParameterService getDocTypeDefaultPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getDocTypeDefaultPagedListSelectFields
POST /nexum/627/persistent/parameter/getDocTypeDefaultPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllDocTypeDefaultFields": true,
    "DocTypeDefaultFields": {
      "Description": true,
      "DocumentType": true,
      "ExcpNoticeCountCpWork": true,
      "ExcpNoticeOption": true,
      "ExpireDate": true,
      "Type": true,
      "UserChar1": true,
      "UserChar2": true,
      "UserChar3": true,
      "UserChar4": true,
      "UserChar5": true,
      "UserChar6": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchDocTypeDefaultPagedSelectFields⁠

POST

Execute the persistent ParameterService searchDocTypeDefaultPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchDocTypeDefaultPagedSelectFields
POST /nexum/627/persistent/parameter/searchDocTypeDefaultPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllDocTypeDefaultFields": true,
    "DocTypeDefaultFields": {
      "Description": true,
      "DocumentType": true,
      "ExcpNoticeCountCpWork": true,
      "ExcpNoticeOption": true,
      "ExpireDate": true,
      "Type": true,
      "UserChar1": true,
      "UserChar2": true,
      "UserChar3": true,
      "UserChar4": true,
      "UserChar5": true,
      "UserChar6": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateDocTypeDefaultByID⁠

POST

Execute the persistent ParameterService updateDocTypeDefaultByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

DocTypeDefaultDocumentTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateDocTypeDefaultByID
POST /nexum/627/persistent/parameter/updateDocTypeDefaultByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "DocTypeDefaultDocumentType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "DocTypeDefaultFields": {
    "Description": "string",
    "DocumentType": 0,
    "ExcpNoticeCountCpWork": 0,
    "ExcpNoticeOption": 0,
    "ExpireDate": "string",
    "Type": 0,
    "UserChar1": "string",
    "UserChar2": "string",
    "UserChar3": "string",
    "UserChar4": "string",
    "UserChar5": "string",
    "UserChar6": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}